curl --request GET \
--url https://api.fintoc.com/v1/disputes \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/disputes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "cb_8anBm9YpVwXzKqL2",
"object": "dispute",
"amount": 7005,
"created_at": "2024-01-15T17:04:10.284Z",
"currency": "CLP",
"documentation_upload_deadline": "2024-01-22T17:04:10.284Z",
"documents": [],
"mode": "live",
"resource_id": "pi_8anBm9YpVwXzKqL2",
"resource_type": "payment_intent",
"status": "waiting_documentation",
"updated_at": "2024-01-16T17:04:10.284Z"
}
]{
"error": {
"type": "invalid_request_error",
"code": "invalid_enum",
"param": "status",
"message": "must be one of: waiting_documentation, in_review, won, lost, expired",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}List disputes
Lists the disputes of your organization for the live or test mode of the API key used. Returns the most recent disputes first. Use the status, resource_id, since, and until query parameters to filter the list.
Authorizations
Query Parameters
Filter by dispute status. One of waiting_documentation, in_review, won, lost, expired. Accepts a comma-separated list.
Filter by the id of the disputed resource (the payment intent).
ISO 8601 datetime in UTC that filters disputes created on or after the provided time.
ISO 8601 datetime in UTC that filters disputes created on or before the provided time.
Response
List of disputes for the current mode, most recent first.
Unique identifier of the dispute.
"cb_8anBm9YpVwXzKqL2"
Type of the object. Always dispute.
Disputed amount, in the currency's smallest unit. CLP has no decimals, so 7005 means 7005 CLP; MXN and USD have cents, so 7005 means 70.05.
7005
ISO 8601 datetime in UTC when the dispute was created.
"2024-01-15T17:04:10.284Z"
ISO 4217 currency code of the disputed amount.
"CLP"
ISO 8601 datetime in UTC for the documentation submission deadline before the dispute is lost by default.
"2024-01-22T17:04:10.284Z"
Documents uploaded as evidence for the dispute.
Show child attributes
Show child attributes
Mode of the object. live objects use real institution data, test objects use fake data for integration testing.
test, live "live"
Identifier of the disputed resource.
"pi_8anBm9YpVwXzKqL2"
Type of the disputed resource. Always payment_intent.
Current status of the dispute. One of waiting_documentation, in_review, lost, expired, or won.
waiting_documentation, in_review, lost, expired, won "waiting_documentation"
ISO 8601 datetime in UTC when the dispute was last updated.
"2024-01-16T17:04:10.284Z"
Was this page helpful?